package com.globecyber.legal_device;

import android.content.Context;
import android.location.Location;

import com.globecyber.legal_device.Emulator.EmulatorCheck;
import com.globecyber.legal_device.ExternalStorage.ExternalStorageCheck;
import com.globecyber.legal_device.MockLocation.MockLocationCheck;
import com.globecyber.legal_device.Rooted.RootedCheck;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** LegalDevicePlugin */
public class LegalDevicePlugin implements MethodCallHandler {
  /** Plugin registration. */

  private final Context context;
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "legal_device");
    channel.setMethodCallHandler(new LegalDevicePlugin(registrar.context()));
  }

  private LegalDevicePlugin(Context context){
    this.context = context;
  }

  @Override
  public void onMethodCall(MethodCall call, final Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("isJailBroken")) {
      result.success(RootedCheck.isJailBroken(context));
    } else if (call.method.equals("isRealDevice")) {
      result.success(!EmulatorCheck.isEmulator());
    }else if (call.method.equals("isOnExternalStorage")) {
      result.success(ExternalStorageCheck.isOnExternalStorage(context));
    }
    else {
      result.notImplemented();
    }
  }
}
